Bug 241622 - misc/iio-oscilloscope: fix build on GCC architectures
Summary: misc/iio-oscilloscope: fix build on GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-31 18:19 UTC by Piotr Kubaj
Modified: 2019-11-05 08:33 UTC (History)
1 user (show)

See Also:
yuri: maintainer-feedback+


Attachments
patch (1.79 KB, patch)
2019-10-31 18:19 UTC, Piotr Kubaj
yuri: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-10-31 18:19:32 UTC
Created attachment 208744 [details]
patch

Build fails with base GCC:
cc1: warnings being treated as errors
/wrkdirs/usr/ports/misc/iio-oscilloscope/work/iio-oscilloscope-0.10-master-28-g9b9a441/osc.c: In function 'plugin_data_capture_of_plot':
/wrkdirs/usr/ports/misc/iio-oscilloscope/work/iio-oscilloscope-0.10-master-28-g9b9a441/osc.c:576: warning: 'markers_lock' may be used uninitialized in this function
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-11-03 16:32:40 UTC
Approved as mentor.
Comment 2 commit-hook freebsd_committer 2019-11-05 08:33:29 UTC
A commit references this bug:

Author: pkubaj
Date: Tue Nov  5 08:33:15 UTC 2019
New revision: 516779
URL: https://svnweb.freebsd.org/changeset/ports/516779

Log:
  misc/iio-oscilloscope: fix build on GCC architectures

  Build fails with base GCC:
  cc1: warnings being treated as errors
  /wrkdirs/usr/ports/misc/iio-oscilloscope/work/iio-oscilloscope-0.10-master-28-g9b9a441/osc.c: In function 'plugin_data_capture_of_plot':
  /wrkdirs/usr/ports/misc/iio-oscilloscope/work/iio-oscilloscope-0.10-master-28-g9b9a441/osc.c:576: warning: 'markers_lock' may be used uninitialized in this function

  PR:             241622
  Approved by:    yuri (maintainer), linimon (mentor)

Changes:
  head/misc/iio-oscilloscope/files/
  head/misc/iio-oscilloscope/files/patch-osc.c
  head/misc/iio-oscilloscope/files/patch-plugins_lidar.c